	.386
	.model	use32 small
	extrn	allerrl : proc, negeerrl : proc
	public	_log10l
	.data

nm	db	"log10l",0

	.code

_log10l:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+16]
	fldlg2
	fld	tbyte ptr [ecx]
	fyl2x
	lea	eax,[nm]
	fld	tbyte ptr [ecx]
	call	negeerrl
	leave
	ret
	end